#ifndef _KGR_PATCH_BSC1195950_H
#define _KGR_PATCH_BSC1195950_H

#if IS_ENABLED(CONFIG_DRM_I915)

int kgr_patch_bsc1195950_init(void);
void kgr_patch_bsc1195950_cleanup(void);


struct i915_vma;
enum i915_cache_level;
struct drm_i915_gem_object;

int kgrp_i915_vma_bind(struct i915_vma *vma, enum i915_cache_level cache_level,
		  u32 flags);

int
kgrp_i915_gem_object_put_pages(struct drm_i915_gem_object *obj);

#define KGR_PATCH_BSC1195950_FUNCS					\
	KGR_PATCH_OBJ(i915_vma_bind, kgrp_i915_vma_bind, "i915"),	\
	KGR_PATCH_OBJ(i915_gem_object_put_pages,			\
		      kgrp_i915_gem_object_put_pages, "i915"),		\

#else /* !IS_ENABLED(CONFIG_DRM_I915) */

static inline int kgr_patch_bsc1195950_init(void) { return 0; }

static inline void kgr_patch_bsc1195950_cleanup(void) {}

#define KGR_PATCH_BSC1195950_FUNCS

#endif /* IS_ENABLED(CONFIG_DRM_I915) */
#endif /* _KGR_PATCH_BSC1195950_H */
